package fi.lpam.gui.elementit;

import javafx.scene.control.Spinner;
import javafx.scene.control.SpinnerValueFactory;

public class IntegerSpinner extends Spinner<Integer> {
    /**
     * Min 0, Max 50
     */
    public IntegerSpinner() {
        super(new SpinnerValueFactory.IntegerSpinnerValueFactory(0, 50));
        this.setEditable(true);
    }

    /**
     *
     * @param min _
     * @param max _
     */
    public IntegerSpinner(int min, int max) {
        super(new SpinnerValueFactory.IntegerSpinnerValueFactory(min, max));
        this.setEditable(true);
    }
}